org.apache.pdfbox.pdmodel.interactive.action

## Class PDActionFactory

- java.lang.Object
- - org.apache.pdfbox.pdmodel.interactive.action.PDActionFactory

    public final class PDActionFactory
    extends Object

This class will take a dictionary and determine which type of action to create.

Author:
  Ben Litchfield

### Method Summary

All Methods Static Methods Concrete Methods
`static PDAction` `createAction(COSDictionary action)` This will create the correct type of action based on the type specified in the dictionary.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### createAction

    public static PDAction createAction(COSDictionary action)

This will create the correct type of action based on the type specified in the dictionary.

Parameters:
  `action` - An action dictionary.
Returns:
  An action of the correct type.